'use strict'
// global.ROOTPATH  = __dirname;
let URL          = require('url');
let DateFormat   = require('date-format');
let server       = require('http').createServer(serverHandler);
let socketServer = require('http').createServer();
let socketIO     = require('socket.io')(socketServer);
let socketLib    = [];

socketIO.on('connection', function(socket){
    socket.join('pushLib');
    socket.on('keepalive', function(data){});
    socket.on('disconnect', function(){
        socket.leave('pushLib');
    });
});

server.listen(4001);
socketIO.listen(4002);

function serverHandler(req,res){
    let URLParse = URL.parse(req.url,true);
    let query    = URLParse.query;
    if(URLParse.pathname!='/postlog' || !query.data) return;
    if(query.data) query.data = JSON.parse(unescape(query.data));
    if(query.data.data) query.data.data = JSON.stringify(query.data.data,null,4);
    if(query._t) query._t = DateFormat('yyyy/MM/dd hh:mm:ss.SSS',new Date(parseInt(query._t)));
    socketIO.to('pushLib').emit('push',query);
}